Package org.apache.groovy.parser.antlr4

# Class GroovyParser.IfElseStatementContext

java.lang.Object
org.antlr.v4.runtime.RuleContext
org.antlr.v4.runtime.ParserRuleContext
org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext
org.apache.groovy.parser.antlr4.GroovyParser.IfElseStatementContext

All Implemented Interfaces:
  `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`, `NodeMetaDataHandler`

Enclosing class:
  GroovyParser

    public static class GroovyParser.IfElseStatementContext
    extends GroovyParser.GroovyParserRuleContext

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `GroovyParser.StatementContext` | `fb` |
  `GroovyParser.StatementContext` | `tb` |

  ### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

  `children, exception, start, stop`

  ### Fields inherited from class org.antlr.v4.runtime.RuleContext

  `invokingState, parent`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `IfElseStatementContext​(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `<Result> Result` | `accept​(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends Result> visitor)` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `ELSE()` |
  `GroovyParser.ExpressionInParContext` | `expressionInPar()` |
  `int` | `getRuleIndex()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `IF()` |
  `List<? extends GroovyParser.NlsContext>` | `nls()` |
  `GroovyParser.NlsContext` | `nls​(int i)` |
  `GroovyParser.SepContext` | `sep()` |
  `List<? extends GroovyParser.StatementContext>` | `statement()` |
  `GroovyParser.StatementContext` | `statement​(int i)` |

  ### Methods inherited from class org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext

  `getMetaDataMap, setMetaDataMap`

  ### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

  `addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, emptyContext, enterRule, exitRule, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

  ### Methods inherited from class org.antlr.v4.runtime.RuleContext

  `depth, getAltNumber, getChildContext, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- ## Field Details

  - ### tb

    public GroovyParser.StatementContext tb

  - ### fb

    public GroovyParser.StatementContext fb

- ## Constructor Details

  - ### IfElseStatementContext

    public IfElseStatementContext​(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)

- ## Method Details

  - ### IF

    public org.antlr.v4.runtime.tree.TerminalNode IF()

  - ### expressionInPar

    public GroovyParser.ExpressionInParContext expressionInPar()

  - ### nls

    public List<? extends GroovyParser.NlsContext> nls()

  - ### nls

    public GroovyParser.NlsContext nls​(int i)

  - ### statement

    public List<? extends GroovyParser.StatementContext> statement()

  - ### statement

    public GroovyParser.StatementContext statement​(int i)

  - ### ELSE

    public org.antlr.v4.runtime.tree.TerminalNode ELSE()

  - ### sep

    public GroovyParser.SepContext sep()

  - ### getRuleIndex

    public int getRuleIndex()
    Overrides:
      `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

  - ### accept

    public <Result> Result accept​(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends Result> visitor)
    Specified by:
      `accept` in interface `org.antlr.v4.runtime.tree.ParseTree`
    Overrides:
      `accept` in class `org.antlr.v4.runtime.RuleContext`